
app.controller("imprimirControllerExistencias", function ($scope, cadastroFactory, localizacaoFactory, notificationFactory, entidadeFactory, Base64) {
        

        $scope.printFichaInv = function (excel) {

            var idEdificio = 0;
            var idPiso = 0;
            var idSala = 0;
            if ($scope.selectedEdificio != null)
                idEdificio = $scope.selectedEdificio.PK_Edificio;
            if ($scope.selectedPiso != null)
                idPiso = $scope.selectedPiso.PK_Piso;
            if ($scope.selectedSala != null)
                idSala = $scope.selectedSala.PK_Sala;

            if (isNaN(idEdificio))
                idEdificio = 0;
            if (isNaN(idPiso))
                idPiso = 0;
            if (isNaN(idSala))
                idSala = 0;

            var nent = 0;
            if ($scope.selectedEdificio != null)
                nent = $scope.selectedEdificio.FK_Entidade;
                                  
            var xls = "";
            if (excel == true)
                xls = "&xls=1";

            var w = window.open("../api/fmapainv/?nent=" + nent + "&edificio=" + idEdificio + "&piso=" + idPiso + "&sala=" + idSala + "&tk=" + sessionStorage.getItem("CibeAtk") + xls);
            $(w.document.body).html('<p align="center">Por Favor Aguarde. Este Processo pode demorar um pouco...</p>');
        };
        
        $scope.printRelacaoBens = function () {

            var idEdificio = 0;
            var idPiso = 0;
            var idSala = 0;
            if ($scope.selectedEdificio != null)
                idEdificio = $scope.selectedEdificio.PK_Edificio;
            if ($scope.selectedPiso != null)
                idPiso = $scope.selectedPiso.PK_Piso;
            if ($scope.selectedSala != null)
                idSala = $scope.selectedSala.PK_Sala;

            if (isNaN(idEdificio))
                idEdificio = 0;
            if (isNaN(idPiso))
                idPiso = 0;
            if (isNaN(idSala))
                idSala = 0;

            var nent = 0;
            if ($scope.selectedEdificio != null)
                nent = $scope.selectedEdificio.FK_Entidade;
                        
            var w = window.open("../api/mapas/RelacaoBens/" + nent + "/" + idEdificio + "/" + idPiso + "/" + idSala + "?tk=" + sessionStorage.getItem("CibeAtk"));
            $(w.document.body).html('<p align="center">Por Favor Aguarde. Este Processo pode demorar um pouco...</p>');
        };

        
        $scope.selEntidade = function (row) {
            $scope.selectedEntidade = row;
        };

        $scope.carregarEntidades = function (id) {
            
            var getSuccessCallback = function (data, status) {

                $scope.entidades = data;
                $scope.selEntidade(null);
            };

            var errorCallback = function (data, status, headers, config) {
                //notificationFactory.error(data);
            };

            entidadeFactory.getEntidades().success(getSuccessCallback).error(errorCallback);

        };

        $scope.selEdificio = function (row) {
            $scope.selectedEdificio = row;
            $scope.selPiso(null);
            $scope.selSala(null);
        };

        $scope.selPiso = function (row) {
            $scope.selectedPiso = row;
            $scope.selSala(null);
        };

        $scope.selSala = function (row) {
            $scope.selectedSala = row;
        };

        $scope.carregarEdificios = function (id) {


            var getSuccessCallback = function (data, status) {

                $scope.edificios = data;
                $scope.selEdificio(null);
                $scope.selPiso(null);
                $scope.selSala(null);
            };

            var errorCallback = function (data, status, headers, config) {
                //notificationFactory.error(data);
            };

            localizacaoFactory.getEdificios().success(getSuccessCallback).error(errorCallback);

        };



    });